HP LaserJet Drucker unter SuSE (hplip)

Hi.

Ich bringe irgendwie hplip nicht richtig zum laufen.

Mein Ziel ist es, meinen HP LaserJet 6P (welcher von hplip mit 'sehr gut' unterstützt wird) auf SuSE 10.1 zum laufen zu bringen.

Ich habe dazu das hplip-1.6.7.tar.gz entpackt und mittels make, make install installiert.

Wenn ich nun versuche hp-setup -a aufzurufen, bekomme ich folgende Fehlermeldung:
"Unable to connect to HPLIP I/O (hpssd)."

Jemand eine Idee?


gruß,
little
 
Ich betreibe hier selber einen LaserJet 6L und hatte mit der Einrichtung noch nie Probleme. Normalerweise müsste es doch ausreichen, per Paketmanagement die footmatic-Pakete samt cups zu installieren, dann sollte der Rest ohne Handarbeit klappen. Das müsste es auch bei Suse gehen, wodurch dir die händische Anpassung erspart bleiben sollte.

Etwas anderes habe ich hier auch nie gemacht und hatte wie gesagt noch nie Stress damit. Es sei denn, du bestehst auf hplip...
 
was ich gefunden habe:

Below is a corrected /etc/rc.d/init.d/hplip file. You will need to be root to make changes to the file on your box. You will also need to make sure that hplip starts before cups and ends after cups in each of the /etc/rc.d/rc#.d directories, where # is a number from 2 through 5. For example, if the symlinks to /etc/rc.d/init.d/cups in the rc4.d directory has the filenames S39cups and K60cups, then the symlinks to /etc/rc.d/init.d/hplip need to be named S38hplip and K61hplip.

Code:
Code:
#! /bin/bash
#
# Startup/shutdown script for HPLIP 
#
# Note, this script file must start before cupsd.
#
# For chkconfig the HPLIP priority (ie: 50) must be less the cupsd 
# priority (ie: 55).
#
# For LSB install_initd the cups script file should have "hplip" in the
# Should-Start field.
# 
#   chkconfig: 2345 50 10
#   description: Start/stop script for HP Linux Imaging and Printing (HPLIP).
#
# (c) 2004 Copyright Hewlett-Packard Development Company, LP
#
### BEGIN INIT INFO
# Provides: hplip
# Required-Start:
# Required-Stop:
# Should-Start:
# Should-Stop:
# Default-Start: 3 5
# Default-Stop: 
# Description: Start/stop script for HP Linux Imaging and Printing (HPLIP)
### END INIT INFO

if [ -f /etc/rc.d/init.d/functions ] ; then
. /etc/rc.d/init.d/functions
else

daemon() {
   $* >/dev/null 2>&1
   if [ $? -eq 0 ]; then
      echo -ne "                                           [  OK  ]\r"
   else
      echo -ne "                                           [FAILED]\r"
   fi
}

killproc() {
   pid=`su - root -c "pidof -s $1"`
   pidfile=/var/run/${1}.pid
   if [ -z $pid ]; then
      if [ -f $pidfile ]; then
         read pid < $pidfile
         kill $pid
      fi      
   else
      kill $pid
   fi
   retval=$?
   if [ -f $pidfile ]; then
      rm $pidfile
   fi      
   if [ $retval -eq 0 ]; then
      echo -ne "                                           [  OK  ]\r"
   else
      echo -ne "                                           [FAILED]\r"
   fi
}

fi 

mystatus() {
   pid=`su - root -c "pidof -s $1"`
   if [ -z $pid ]; then
      pidfile=/var/run/${1}.pid
      if [ -f $pidfile ]; then
         read pid < $pidfile
      fi      
   fi

   if [ -n "$pid" ]; then
      echo $"$1 (pid $pid) is running..."
      return 0
   fi

   echo $"$1 is stopped"
   return 3
}

RETVAL=0

HPIODDIR=/usr/sbin

HPSSDDIR=/usr/share/hplip

start() {
        echo -n $"Starting hpiod: "
        cd $HPIODDIR
        daemon ./hpiod
        RETVAL=$?
        echo
        [ $RETVAL = 0 ] && [ -d /var/lock/subsys ] && touch /var/lock/subsys/hpiod
        echo -n $"Starting hpssd: "
        cd $HPSSDDIR
        daemon ./hpssd.py
        RETVAL=$?
        echo
        [ $RETVAL = 0 ] && [ -d /var/lock/subsys ] && touch /var/lock/subsys/hpssd.py
#        killall -HUP cupsd
        return $RETVAL
}

stop() {
        echo -n $"Stopping hpiod: "
        killproc hpiod
        RETVAL=$?
        echo
        [ $RETVAL = 0 ] && rm -f /var/lock/subsys/hpiod
        echo -n $"Stopping hpssd: "
        killproc hpssd
        RETVAL=$?
        echo
        [ $RETVAL = 0 ] && rm -f /var/lock/subsys/hpssd.py
        for pidfile in /var/run/*; do
	   case "$( basename $pidfile )" in 
       		hpguid-*.pid)
                   read pid < $pidfile
                   kill $pid
                   rm $pidfile
	   esac
        done
        return $RETVAL
}       

restart() {
        stop
        start
}       

case "$1" in
  start)
        start
        ;;
  stop)
        stop
        ;;
  restart)
        restart
        ;;
  status)
        mystatus hpiod
        mystatus hpssd
        ;;
  condrestart)
        [ -f /var/lock/subsys/hpiod ] && [ -f /var/lock/subsys/hpssd.py ] && restart || :
        ;;
  *)
        echo $"Usage: $0 {start|stop|status|restart|condrestart}"
        exit 1
esac

exit $?
 
Zurück
Oben